darcs-2.5.2: a distributed, interactive, smart revision control system

Darcs.Email

Synopsis

- makeEmail :: String -> [(String, String)] -> Maybe Doc -> Doc -> Maybe String -> Doc
- readEmail :: ByteString -> ByteString
- formatHeader :: String -> String -> ByteString

# Documentation

makeEmail :: String -> [(String, String)] -> Maybe Doc -> Doc -> Maybe String -> Doc

readEmail :: ByteString -> ByteString

formatHeader :: String -> String -> ByteString

Formats an e-mail header by encoding any non-ascii characters using UTF-8 and Q-encoding, and folding lines at appropriate points. It doesn't do more than that, so the header name and header value should be well-formatted give or take line length and encoding. So no non-ASCII characters within quoted-string, quoted-pair, or atom; no semantically meaningful signs in names; no non-ASCII characters in the header name; etcetera.